Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.portal
Enum ObjectTypeConstants

    java.lang.Object
      java.lang.Enum<ObjectTypeConstants>
          com.ibm.portal.ObjectTypeConstants

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ObjectTypeConstants>

    public enum ObjectTypeConstants

extends java.lang.Enum<ObjectTypeConstants>

This class provides static references to well known object type instances.
Their type is `ObjectType`. It can be obtained by calling the `getType()` method.

Since:
  6.1

Enum Constant Summary
`ACL`
`ACTION`
`ACTION_ASSOCIATION`
`ACTION_SET`
`APPLICATION_BUSINESS_COMPONENT` Deprecated. Deprecated since 8.5, no replacement.
`APPLICATION_ENTITY` Deprecated. Deprecated since 8.5, no replacement.
`APPLICATION_FAVORITE` Deprecated. Deprecated since 8.5, no replacement.
`APPLICATION_FOLDER` Deprecated. Deprecated since 8.5, no replacement.
`APPLICATION_PARAMETER` Deprecated. Deprecated since 8.5, no replacement.
`APPLICATION_PARAMETER_BCMETADATA_WIRE` Deprecated. Deprecated since 8.5, no replacement.
`APPLICATION_PARAMETER_METADATA_WIRE` Deprecated. Deprecated since 8.5, no replacement.
`APPLICATION_PARAMETER_VARIABLE_WIRE` Deprecated. Deprecated since 8.5, no replacement.
`APPLICATION_ROLE` Deprecated. Deprecated since 8.5, no replacement.
`ASA_GENERIC_TAG`
`AUTHENTICATION_LEVEL`
`AUTHENTICATION_LEVEL_INFO`
`BUSINESS_COMPONENT_VARIABLE` Deprecated. Deprecated since 8.5, no replacement.
`BUSINESS_COMPONENT_VARIABLE_METADATA_WIRE` Deprecated. Deprecated since 8.5, no replacement.
`BUSINESS_COMPONENT_VARIABLE_VARIABLE_WIRE` Deprecated. Deprecated since 8.5, no replacement.
`CACHE`
`CATALOG_SEGMENT`
`CATEGORY`
`CLIENT`
`COMMUNITY` Deprecated. Deprecated since 8.5, no replacement.
`CONTACT_GROUP`
`CONTACT_MEMBER`
`CONTENT_MAPPING`
`CONTENT_NODE`
`CP_CATEGORY`
`CP_CUSTOMRESOURCE`
`CP_FILTER_DATA`
`CP_FILTER_INSTANCE`
`CP_RESOURCE_RATING`
`CP_RESOURCE_TAG`
`CP_RESOURCE_UPDATED`
`DEPENDENT_PROTECTED_RESOURCE_INFO`
`DEVICE_CLASS`
`DOMAIN_ROLE` Deprecated. Deprecated since 8.5, no replacement.
`ICM_CONTENT`
`LANGUAGE`
`LOCALIZED_DATA`
`LWP_BC_ADDRESSBOOK` Deprecated. Deprecated since 8.5, no replacement.
`LWP_BC_CALENDAR` Deprecated. Deprecated since 8.5, no replacement.
`LWP_BC_DISCUSSION` Deprecated. Deprecated since 8.5, no replacement.
`LWP_BC_DOCLIBRARY` Deprecated. Deprecated since 8.5, no replacement.
`LWP_BC_MAILBOX` Deprecated. Deprecated since 8.5, no replacement.
`LWP_BC_NCS` Deprecated. Deprecated since 8.5, no replacement.
`LWP_BC_WORKLIST` Deprecated. Deprecated since 8.5, no replacement.
`LWP_CLB_CTX` Deprecated. Deprecated since 8.5, no replacement.
`LWP_CLB_DMN_OBJ` Deprecated. Deprecated since 8.5, no replacement.
`LWP_CLB_DMN_OBJ_CAT` Deprecated. Deprecated since 8.5, no replacement.
`LWP_IC_ACCOUNT` Deprecated. Deprecated since 8.5, no replacement.
`LWP_IC_COMMUNITY` Deprecated. Deprecated since 8.5, no replacement.
`LWP_IC_CREDSTORE` Deprecated. Deprecated since 8.5, no replacement.
`LWP_IC_POLICY` Deprecated. Deprecated since 8.5, no replacement.
`LWP_IC_PREFERENCE` Deprecated. Deprecated since 8.5, no replacement.
`LWP_IC_SEARCHINDEX` Deprecated. Deprecated since 8.5, no replacement.
`LWP_IC_TEMPLATE` Deprecated. Deprecated since 8.5, no replacement.
`LWP_IC_TMPLCATALOG` Deprecated. Deprecated since 8.5, no replacement.
`LWP_PROP_BROK_WB` Deprecated. Deprecated since 8.5, no replacement.
`MARKUP`
`MI_CATALOG`
`MI_CATALOG_ENTRY`
`MI_CATEGORY`
`MI_WIDGET`
`NAVIGATION_NODE`
`OUTBOUND_CONFIG`
`OUTBOUND_COOKIE_RULE`
`OUTBOUND_MAPPING`
`OUTBOUND_POLICY`
`OUTBOUND_POLICY_VARIABLE`
`PAGE_LAYOUT_TEMPLATE`
`PCM_DIALOG`
`PCM_DIALOG_INSTANCE`
`PCM_TRANSITION`
`PCM_TRANSITION_ENDPOINT`
`POLICY`
`POLICY_ROOT`
`PORTAL_URL`
`PORTLET_APPLICATION_DEFINITION`
`PORTLET_APPLICATION_ENTITY`
`PORTLET_DEFINITION`
`PORTLET_ENTITY`
`PORTLET_GROUP`
`PORTLET_WIRE`
`PROJECT`
`PROTECTED_RESOURCE_INFO`
`PSE_CATEGORY`
`PSE_COLLECTION`
`PSE_SOURCE`
`PUBLIC_RENDER_PARAMETER`
`RESOURCE_TYPE`
`RESTORE_POINT` Deprecated. Deprecated since 8.5, no replacement.
`ROLE_INSTANCE`
`SEARCH_REG`
`SERVER_INFO`
`SERVLET_DEFINITION`
`SKIN`
`TASK` Deprecated. Deprecated since 8.5, no replacement.
`TASK_PAGE_MAPPING`
`TEMPLATE` Deprecated. Deprecated since 8.5, no replacement.
`TEMPLATE_FOLDER` Deprecated. Deprecated since 8.5, no replacement.
`THEME`
`TRANSFORMATION_APPLICATION_DEFINITION`
`TRANSFORMATION_DEFINITION`
`TRANSFORMATION_ENTITY`
`UNSPECIFIED`
`URI`
`URI_SCHEME`
`URL_MAPPING_CONTEXT`
`USER`
`USER_GROUP`
`VANITY_URL`
`VAULT_SEGMENT`
`VAULT_SLOT`
`VIRTUAL`
`VIRTUAL_PORTAL_DEFINITION`
`WCM_AUTHORING_TEMPLATE` Deprecated. Deprecated since 8.5, no replacement.
`WCM_CATEGORY` Deprecated. Deprecated since 8.5, no replacement.
`WCM_COMPONENT` Deprecated. Deprecated since 8.5, no replacement.
`WCM_CONTENT` Deprecated. Deprecated since 8.5, no replacement.
`WCM_RENDERING_TEMPLATE` Deprecated. Deprecated since 8.5, no replacement.
`WCM_SEARCH_RULE` Deprecated. Deprecated since 8.5, no replacement.
`WCM_SITE` Deprecated. Deprecated since 8.5, no replacement.
`WCM_SITE_AREA` Deprecated. Deprecated since 8.5, no replacement.
`WCM_SUBSCRIBER` Deprecated. Deprecated since 8.5, no replacement.
`WCM_SYNDICATOR` Deprecated. Deprecated since 8.5, no replacement.
`WCM_TAXONOMY` Deprecated. Deprecated since 8.5, no replacement.
`WCM_WORKFLOW` Deprecated. Deprecated since 8.5, no replacement.
`WCM_WORKFLOW_ACTION` Deprecated. Deprecated since 8.5, no replacement.
`WCM_WORKFLOW_STAGE` Deprecated. Deprecated since 8.5, no replacement.
`WCS_CATALOG` Deprecated. Deprecated since 8.5, no replacement.
`WCS_CATEGORY` Deprecated. Deprecated since 8.5, no replacement.
`WCS_PRODUCT` Deprecated. Deprecated since 8.5, no replacement.
`WEB_MODULE`
`WORKFLOW_DATA`
`WORKFLOW_DEFINITION`
`WPCP_DIRECTORY` Deprecated. Deprecated since 8.5, no replacement.
`WPCP_EDITION` Deprecated. Deprecated since 8.5, no replacement.
`WPCP_PROJECT` Deprecated. Deprecated since 8.5, no replacement.
`WPCP_RESOURCE` Deprecated. Deprecated since 8.5, no replacement.
`WPCP_RESOURCE_COLLECTION` Deprecated. Deprecated since 8.5, no replacement.
`WSRP_CLIENT_PORTAL`
`WSRP_PRODUCER`

Method Summary
`ObjectType` | `getType()` Returns the object type that corresponds to the particular enum value.
`static java.util.Collection<ObjectType>` | `getTypes()` Returns a complete collection of all predefined object types.
`java.lang.String` | `toString()`
`static ObjectTypeConstants` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ObjectTypeConstants[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VIRTUAL

    public static final ObjectTypeConstants VIRTUAL

### WEB_MODULE

    public static final ObjectTypeConstants WEB_MODULE

### PORTLET_APPLICATION_DEFINITION

    public static final ObjectTypeConstants PORTLET_APPLICATION_DEFINITION

### PORTLET_DEFINITION

    public static final ObjectTypeConstants PORTLET_DEFINITION

### PORTLET_GROUP

    public static final ObjectTypeConstants PORTLET_GROUP

### PORTLET_ENTITY

    public static final ObjectTypeConstants PORTLET_ENTITY

### CONTENT_NODE

    public static final ObjectTypeConstants CONTENT_NODE

### NAVIGATION_NODE

    public static final ObjectTypeConstants NAVIGATION_NODE

### USER_GROUP

    public static final ObjectTypeConstants USER_GROUP

### USER

    public static final ObjectTypeConstants USER

### COMMUNITY

    @Deprecated
    public static final ObjectTypeConstants COMMUNITY

  Deprecated. Deprecated since 8.5, no replacement.

### CATALOG_SEGMENT

    public static final ObjectTypeConstants CATALOG_SEGMENT

### URL_MAPPING_CONTEXT

    public static final ObjectTypeConstants URL_MAPPING_CONTEXT

### VAULT_SEGMENT

    public static final ObjectTypeConstants VAULT_SEGMENT

### VAULT_SLOT

    public static final ObjectTypeConstants VAULT_SLOT

### CATEGORY

    public static final ObjectTypeConstants CATEGORY

### WSRP_CLIENT_PORTAL

    public static final ObjectTypeConstants WSRP_CLIENT_PORTAL

### THEME

    public static final ObjectTypeConstants THEME

### SKIN

    public static final ObjectTypeConstants SKIN

### MARKUP

    public static final ObjectTypeConstants MARKUP

### CLIENT

    public static final ObjectTypeConstants CLIENT

### PROTECTED_RESOURCE_INFO

    public static final ObjectTypeConstants PROTECTED_RESOURCE_INFO

### ACTION_SET

    public static final ObjectTypeConstants ACTION_SET

### ROLE_INSTANCE

    public static final ObjectTypeConstants ROLE_INSTANCE

### CACHE

    public static final ObjectTypeConstants CACHE

### PORTLET_APPLICATION_ENTITY

    public static final ObjectTypeConstants PORTLET_APPLICATION_ENTITY

### PORTAL_URL

    public static final ObjectTypeConstants PORTAL_URL

### SERVLET_DEFINITION

    public static final ObjectTypeConstants SERVLET_DEFINITION

### PORTLET_WIRE

    public static final ObjectTypeConstants PORTLET_WIRE

### UNSPECIFIED

    public static final ObjectTypeConstants UNSPECIFIED

### WSRP_PRODUCER

    public static final ObjectTypeConstants WSRP_PRODUCER

### ACTION

    public static final ObjectTypeConstants ACTION

### RESOURCE_TYPE

    public static final ObjectTypeConstants RESOURCE_TYPE

### TRANSFORMATION_ENTITY

    public static final ObjectTypeConstants TRANSFORMATION_ENTITY

### TRANSFORMATION_DEFINITION

    public static final ObjectTypeConstants TRANSFORMATION_DEFINITION

### TRANSFORMATION_APPLICATION_DEFINITION

    public static final ObjectTypeConstants TRANSFORMATION_APPLICATION_DEFINITION

### VIRTUAL_PORTAL_DEFINITION

    public static final ObjectTypeConstants VIRTUAL_PORTAL_DEFINITION

### PSE_COLLECTION

    public static final ObjectTypeConstants PSE_COLLECTION

### PSE_CATEGORY

    public static final ObjectTypeConstants PSE_CATEGORY

### PSE_SOURCE

    public static final ObjectTypeConstants PSE_SOURCE

### APPLICATION_ROLE

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_ROLE

  Deprecated. Deprecated since 8.5, no replacement.

### ACTION_ASSOCIATION

    public static final ObjectTypeConstants ACTION_ASSOCIATION

### TEMPLATE

    @Deprecated
    public static final ObjectTypeConstants TEMPLATE

  Deprecated. Deprecated since 8.5, no replacement.

### APPLICATION_ENTITY

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_ENTITY

  Deprecated. Deprecated since 8.5, no replacement.

### POLICY

    public static final ObjectTypeConstants POLICY

### TEMPLATE_FOLDER

    @Deprecated
    public static final ObjectTypeConstants TEMPLATE_FOLDER

  Deprecated. Deprecated since 8.5, no replacement.

### LANGUAGE

    public static final ObjectTypeConstants LANGUAGE

### POLICY_ROOT

    public static final ObjectTypeConstants POLICY_ROOT

### SERVER_INFO

    public static final ObjectTypeConstants SERVER_INFO

### APPLICATION_BUSINESS_COMPONENT

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_BUSINESS_COMPONENT

  Deprecated. Deprecated since 8.5, no replacement.

### APPLICATION_FOLDER

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_FOLDER

  Deprecated. Deprecated since 8.5, no replacement.

### DOMAIN_ROLE

    @Deprecated
    public static final ObjectTypeConstants DOMAIN_ROLE

  Deprecated. Deprecated since 8.5, no replacement.

### AUTHENTICATION_LEVEL

    public static final ObjectTypeConstants AUTHENTICATION_LEVEL

### AUTHENTICATION_LEVEL_INFO

    public static final ObjectTypeConstants AUTHENTICATION_LEVEL_INFO

### WORKFLOW_DEFINITION

    public static final ObjectTypeConstants WORKFLOW_DEFINITION

### WORKFLOW_DATA

    public static final ObjectTypeConstants WORKFLOW_DATA

### CONTACT_MEMBER

    public static final ObjectTypeConstants CONTACT_MEMBER

### CONTACT_GROUP

    public static final ObjectTypeConstants CONTACT_GROUP

### PUBLIC_RENDER_PARAMETER

    public static final ObjectTypeConstants PUBLIC_RENDER_PARAMETER

### TASK_PAGE_MAPPING

    public static final ObjectTypeConstants TASK_PAGE_MAPPING

### APPLICATION_FAVORITE

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_FAVORITE

  Deprecated. Deprecated since 8.5, no replacement.

### RESTORE_POINT

    @Deprecated
    public static final ObjectTypeConstants RESTORE_POINT

  Deprecated. Deprecated since 8.5, no replacement.

### TASK

    @Deprecated
    public static final ObjectTypeConstants TASK

  Deprecated. Deprecated since 8.5, no replacement.

### APPLICATION_PARAMETER

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_PARAMETER

  Deprecated. Deprecated since 8.5, no replacement.

### APPLICATION_PARAMETER_VARIABLE_WIRE

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_PARAMETER_VARIABLE_WIRE

  Deprecated. Deprecated since 8.5, no replacement.

### APPLICATION_PARAMETER_METADATA_WIRE

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_PARAMETER_METADATA_WIRE

  Deprecated. Deprecated since 8.5, no replacement.

### BUSINESS_COMPONENT_VARIABLE_VARIABLE_WIRE

    @Deprecated
    public static final ObjectTypeConstants BUSINESS_COMPONENT_VARIABLE_VARIABLE_WIRE

  Deprecated. Deprecated since 8.5, no replacement.

### BUSINESS_COMPONENT_VARIABLE_METADATA_WIRE

    @Deprecated
    public static final ObjectTypeConstants BUSINESS_COMPONENT_VARIABLE_METADATA_WIRE

  Deprecated. Deprecated since 8.5, no replacement.

### BUSINESS_COMPONENT_VARIABLE

    @Deprecated
    public static final ObjectTypeConstants BUSINESS_COMPONENT_VARIABLE

  Deprecated. Deprecated since 8.5, no replacement.

### DEPENDENT_PROTECTED_RESOURCE_INFO

    public static final ObjectTypeConstants DEPENDENT_PROTECTED_RESOURCE_INFO

### URI

    public static final ObjectTypeConstants URI

### URI_SCHEME

    public static final ObjectTypeConstants URI_SCHEME

### MI_CATALOG

    public static final ObjectTypeConstants MI_CATALOG

### MI_CATEGORY

    public static final ObjectTypeConstants MI_CATEGORY

### MI_CATALOG_ENTRY

    public static final ObjectTypeConstants MI_CATALOG_ENTRY

### MI_WIDGET

    public static final ObjectTypeConstants MI_WIDGET

### CONTENT_MAPPING

    public static final ObjectTypeConstants CONTENT_MAPPING

### SEARCH_REG

    public static final ObjectTypeConstants SEARCH_REG

### APPLICATION_PARAMETER_BCMETADATA_WIRE

    @Deprecated
    public static final ObjectTypeConstants APPLICATION_PARAMETER_BCMETADATA_WIRE

  Deprecated. Deprecated since 8.5, no replacement.

### PAGE_LAYOUT_TEMPLATE

    public static final ObjectTypeConstants PAGE_LAYOUT_TEMPLATE

### LOCALIZED_DATA

    public static final ObjectTypeConstants LOCALIZED_DATA

### DEVICE_CLASS

    public static final ObjectTypeConstants DEVICE_CLASS

### VANITY_URL

    public static final ObjectTypeConstants VANITY_URL

### OUTBOUND_CONFIG

    public static final ObjectTypeConstants OUTBOUND_CONFIG

### OUTBOUND_MAPPING

    public static final ObjectTypeConstants OUTBOUND_MAPPING

### OUTBOUND_POLICY

    public static final ObjectTypeConstants OUTBOUND_POLICY

### OUTBOUND_POLICY_VARIABLE

    public static final ObjectTypeConstants OUTBOUND_POLICY_VARIABLE

### OUTBOUND_COOKIE_RULE

    public static final ObjectTypeConstants OUTBOUND_COOKIE_RULE

### WPCP_PROJECT

    @Deprecated
    public static final ObjectTypeConstants WPCP_PROJECT

  Deprecated. Deprecated since 8.5, no replacement.

### WPCP_RESOURCE_COLLECTION

    @Deprecated
    public static final ObjectTypeConstants WPCP_RESOURCE_COLLECTION

  Deprecated. Deprecated since 8.5, no replacement.

### WPCP_DIRECTORY

    @Deprecated
    public static final ObjectTypeConstants WPCP_DIRECTORY

  Deprecated. Deprecated since 8.5, no replacement.

### WPCP_RESOURCE

    @Deprecated
    public static final ObjectTypeConstants WPCP_RESOURCE

  Deprecated. Deprecated since 8.5, no replacement.

### WPCP_EDITION

    @Deprecated
    public static final ObjectTypeConstants WPCP_EDITION

  Deprecated. Deprecated since 8.5, no replacement.

### WCS_CATALOG

    @Deprecated
    public static final ObjectTypeConstants WCS_CATALOG

  Deprecated. Deprecated since 8.5, no replacement.

### WCS_CATEGORY

    @Deprecated
    public static final ObjectTypeConstants WCS_CATEGORY

  Deprecated. Deprecated since 8.5, no replacement.

### WCS_PRODUCT

    @Deprecated
    public static final ObjectTypeConstants WCS_PRODUCT

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_BC_NCS

    @Deprecated
    public static final ObjectTypeConstants LWP_BC_NCS

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_BC_MAILBOX

    @Deprecated
    public static final ObjectTypeConstants LWP_BC_MAILBOX

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_BC_CALENDAR

    @Deprecated
    public static final ObjectTypeConstants LWP_BC_CALENDAR

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_BC_ADDRESSBOOK

    @Deprecated
    public static final ObjectTypeConstants LWP_BC_ADDRESSBOOK

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_BC_DISCUSSION

    @Deprecated
    public static final ObjectTypeConstants LWP_BC_DISCUSSION

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_BC_DOCLIBRARY

    @Deprecated
    public static final ObjectTypeConstants LWP_BC_DOCLIBRARY

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_BC_WORKLIST

    @Deprecated
    public static final ObjectTypeConstants LWP_BC_WORKLIST

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_IC_CREDSTORE

    @Deprecated
    public static final ObjectTypeConstants LWP_IC_CREDSTORE

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_IC_SEARCHINDEX

    @Deprecated
    public static final ObjectTypeConstants LWP_IC_SEARCHINDEX

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_IC_TMPLCATALOG

    @Deprecated
    public static final ObjectTypeConstants LWP_IC_TMPLCATALOG

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_IC_TEMPLATE

    @Deprecated
    public static final ObjectTypeConstants LWP_IC_TEMPLATE

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_IC_ACCOUNT

    @Deprecated
    public static final ObjectTypeConstants LWP_IC_ACCOUNT

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_IC_PREFERENCE

    @Deprecated
    public static final ObjectTypeConstants LWP_IC_PREFERENCE

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_IC_POLICY

    @Deprecated
    public static final ObjectTypeConstants LWP_IC_POLICY

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_IC_COMMUNITY

    @Deprecated
    public static final ObjectTypeConstants LWP_IC_COMMUNITY

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_CLB_CTX

    @Deprecated
    public static final ObjectTypeConstants LWP_CLB_CTX

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_CLB_DMN_OBJ_CAT

    @Deprecated
    public static final ObjectTypeConstants LWP_CLB_DMN_OBJ_CAT

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_CLB_DMN_OBJ

    @Deprecated
    public static final ObjectTypeConstants LWP_CLB_DMN_OBJ

  Deprecated. Deprecated since 8.5, no replacement.

### LWP_PROP_BROK_WB

    @Deprecated
    public static final ObjectTypeConstants LWP_PROP_BROK_WB

  Deprecated. Deprecated since 8.5, no replacement.

### CP_CUSTOMRESOURCE

    public static final ObjectTypeConstants CP_CUSTOMRESOURCE

### CP_RESOURCE_TAG

    public static final ObjectTypeConstants CP_RESOURCE_TAG

### CP_RESOURCE_RATING

    public static final ObjectTypeConstants CP_RESOURCE_RATING

### CP_CATEGORY

    public static final ObjectTypeConstants CP_CATEGORY

### CP_FILTER_INSTANCE

    public static final ObjectTypeConstants CP_FILTER_INSTANCE

### CP_FILTER_DATA

    public static final ObjectTypeConstants CP_FILTER_DATA

### CP_RESOURCE_UPDATED

    public static final ObjectTypeConstants CP_RESOURCE_UPDATED

### ASA_GENERIC_TAG

    public static final ObjectTypeConstants ASA_GENERIC_TAG

### PCM_DIALOG

    public static final ObjectTypeConstants PCM_DIALOG

### PCM_TRANSITION_ENDPOINT

    public static final ObjectTypeConstants PCM_TRANSITION_ENDPOINT

### PCM_TRANSITION

    public static final ObjectTypeConstants PCM_TRANSITION

### PCM_DIALOG_INSTANCE

    public static final ObjectTypeConstants PCM_DIALOG_INSTANCE

### WCM_SITE

    @Deprecated
    public static final ObjectTypeConstants WCM_SITE

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_SITE_AREA

    @Deprecated
    public static final ObjectTypeConstants WCM_SITE_AREA

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_TAXONOMY

    @Deprecated
    public static final ObjectTypeConstants WCM_TAXONOMY

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_CATEGORY

    @Deprecated
    public static final ObjectTypeConstants WCM_CATEGORY

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_CONTENT

    @Deprecated
    public static final ObjectTypeConstants WCM_CONTENT

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_COMPONENT

    @Deprecated
    public static final ObjectTypeConstants WCM_COMPONENT

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_RENDERING_TEMPLATE

    @Deprecated
    public static final ObjectTypeConstants WCM_RENDERING_TEMPLATE

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_SEARCH_RULE

    @Deprecated
    public static final ObjectTypeConstants WCM_SEARCH_RULE

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_AUTHORING_TEMPLATE

    @Deprecated
    public static final ObjectTypeConstants WCM_AUTHORING_TEMPLATE

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_WORKFLOW

    @Deprecated
    public static final ObjectTypeConstants WCM_WORKFLOW

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_WORKFLOW_STAGE

    @Deprecated
    public static final ObjectTypeConstants WCM_WORKFLOW_STAGE

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_WORKFLOW_ACTION

    @Deprecated
    public static final ObjectTypeConstants WCM_WORKFLOW_ACTION

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_SYNDICATOR

    @Deprecated
    public static final ObjectTypeConstants WCM_SYNDICATOR

  Deprecated. Deprecated since 8.5, no replacement.

### WCM_SUBSCRIBER

    @Deprecated
    public static final ObjectTypeConstants WCM_SUBSCRIBER

  Deprecated. Deprecated since 8.5, no replacement.

### ICM_CONTENT

    public static final ObjectTypeConstants ICM_CONTENT

### PROJECT

    public static final ObjectTypeConstants PROJECT

### ACL

    public static final ObjectTypeConstants ACL

Method Detail

### values

    public static ObjectTypeConstants[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ObjectTypeConstants c : ObjectTypeConstants.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ObjectTypeConstants valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getType

    public ObjectType getType()

  Returns the object type that corresponds to the particular enum value.

  Returns:
    The corresponding object type.

### getTypes

    public static java.util.Collection<ObjectType> getTypes()

  Returns a complete collection of all predefined object types.

  Returns:
    The collection of object types.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ObjectTypeConstants>`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD